OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TimerQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTimerQuery :: MonadIO m => m Bool
- gl_ARB_timer_query :: Bool
- gl_TIMESTAMP :: GLenum
- gl_TIME_ELAPSED :: GLenum
- glGetQueryObjecti64v :: MonadIO m => GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetQueryObjectui64v :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64 -> m ()
- glQueryCounter :: MonadIO m => GLuint -> GLenum -> m ()

# Extension Support

glGetARBTimerQuery :: MonadIO m => m Bool

Is the ARB_timer_query extension supported?

gl_ARB_timer_query :: Bool

Is the ARB_timer_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTimerQuery` in those cases instead.

# Enums

gl_TIMESTAMP :: GLenum

gl_TIME_ELAPSED :: GLenum

# Functions

glGetQueryObjecti64v

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetQueryObjectui64v

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname`.
-> Ptr GLuint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glQueryCounter

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `target`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.